## net.sourceforge.pmd.jsp.ast
Class ASTJspExpressionInAttribute

    java.lang.Object
      net.sourceforge.pmd.ast.SimpleNode
          net.sourceforge.pmd.jsp.ast.SimpleNode
              net.sourceforge.pmd.jsp.ast.ASTJspExpressionInAttribute

All Implemented Interfaces:
  Node, Node

public class ASTJspExpressionInAttribute
extends SimpleNode

Field Summary

Fields inherited from class net.sourceforge.pmd.jsp.ast.SimpleNode
`parser`

Fields inherited from class net.sourceforge.pmd.ast.SimpleNode
`beginColumn, beginLine, children, endColumn, endLine, id, parent`

Constructor Summary
`ASTJspExpressionInAttribute(int id)`
`ASTJspExpressionInAttribute(JspParser p, int id)`

Method Summary
`java.lang.Object` `jjtAccept(JspParserVisitor visitor, java.lang.Object data)` Accept the visitor.

Methods inherited from class net.sourceforge.pmd.jsp.ast.SimpleNode
`childrenAccept, jjtClose, jjtOpen, toString`

Methods inherited from class net.sourceforge.pmd.ast.SimpleNode

`appendElement, asXml, containsChildOfType, discardIfNecessary, dump, dumpChildren, findChildNodesWithXPath, findChildrenOfType, findChildrenOfType, findChildrenOfType, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getScope, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtReplaceChild, jjtSetParent, setDataFlowNode, setDiscardable, setImage, setScope, setUnDiscardable, testingOnly__setBeginColumn, testingOnly__setBeginLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.ast.Node
`jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent`

Constructor Detail

### ASTJspExpressionInAttribute

    public ASTJspExpressionInAttribute(int id)

### ASTJspExpressionInAttribute

    public ASTJspExpressionInAttribute(JspParser p,
                                       int id)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(JspParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor. *

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`

Copyright © 2002-2006 InfoEther. All Rights Reserved.